Debian Bug report logs - #560892
pdsh: embeds libtool

version graph

Package: pdsh; Maintainer for pdsh is Brian Pellin <bpellin@debian.org>; Source for pdsh is src:pdsh.

Reported by: Michael Gilbert <michael.s.gilbert@gmail.com>

Date: Sun, 13 Dec 2009 00:27:05 UTC

Severity: important

Tags: security

Found in version pdsh/2.18-4

Fixed in version pdsh/2.18-5

Done: Brian Pellin <bpellin@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brian Pellin <bpellin@debian.org>:
Bug#560892; Package pdsh. (Sun, 13 Dec 2009 00:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
New Bug report received and forwarded. Copy sent to Brian Pellin <bpellin@debian.org>. (Sun, 13 Dec 2009 00:27:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: submit@bugs.debian.org
Subject: pdsh: embeds libtool
Date: Sat, 12 Dec 2009 19:25:46 -0500
package: pdsh
version: 2.18-4
severity: important
tags: security

hi,

your package embeds source code from libtool, which makes
security updates very cumbersome, difficult, and potentially
error-prone.  please update your package to make use of the
shared library.  thank you for your attention on this matter.

best wishes,
mike




Reply sent to Brian Pellin <bpellin@debian.org>:
You have taken responsibility. (Sun, 20 Dec 2009 06:33:14 GMT) Full text and rfc822 format available.

Notification sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Bug acknowledged by developer. (Sun, 20 Dec 2009 06:33:14 GMT) Full text and rfc822 format available.

Message #10 received at 560892-close@bugs.debian.org (full text, mbox):

From: Brian Pellin <bpellin@debian.org>
To: 560892-close@bugs.debian.org
Subject: Bug#560892: fixed in pdsh 2.18-5
Date: Sun, 20 Dec 2009 06:32:31 +0000
Source: pdsh
Source-Version: 2.18-5

We believe that the bug you reported is fixed in the latest version of
pdsh, which is due to be installed in the Debian FTP archive:

pdsh_2.18-5.debian.tar.gz
  to main/p/pdsh/pdsh_2.18-5.debian.tar.gz
pdsh_2.18-5.dsc
  to main/p/pdsh/pdsh_2.18-5.dsc
pdsh_2.18-5_amd64.deb
  to main/p/pdsh/pdsh_2.18-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 560892@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Brian Pellin <bpellin@debian.org> (supplier of updated pdsh package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 12 Dec 2009 21:22:56 -0600
Source: pdsh
Binary: pdsh
Architecture: source amd64
Version: 2.18-5
Distribution: unstable
Urgency: low
Maintainer: Brian Pellin <bpellin@debian.org>
Changed-By: Brian Pellin <bpellin@debian.org>
Description: 
 pdsh       - Efficient rsh-like utility, for using hosts in parallel
Closes: 560892
Changes: 
 pdsh (2.18-5) unstable; urgency=low
 .
   * Use system libtool instead of included one (closes: #560892)
Checksums-Sha1: 
 ee5ec901e9df650877f7a493a0084e7afb3a316f 1099 pdsh_2.18-5.dsc
 43a30f26182d10cb46f1630b48b55ab915b5dfb3 15570 pdsh_2.18-5.debian.tar.gz
 39a8f6d64f6db7900db5fa4c6ec1d20de29d45a2 134380 pdsh_2.18-5_amd64.deb
Checksums-Sha256: 
 cd5e988086b19c84192818dec170b479ee21fa0f05a85550da7a5a0a74b42fbf 1099 pdsh_2.18-5.dsc
 a1af26a95ba4560f99213b76c0030761e0ba12b6350b3a6bff6814aed893d4d9 15570 pdsh_2.18-5.debian.tar.gz
 91863a76064d5c593f424a9ebe8b8c8e3141eb092b5b239663665ec8ed85a9b1 134380 pdsh_2.18-5_amd64.deb
Files: 
 261b2e9513cd74fcb01b766294e51f77 1099 net extra pdsh_2.18-5.dsc
 a86f54fc782bdeb27ead168d8de62741 15570 net extra pdsh_2.18-5.debian.tar.gz
 6afbaac834bf5fa4cfe0ec4cb61cb836 134380 net extra pdsh_2.18-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkstvhQACgkQdeHB6XEPaOLDBQCfUs37AZHK84l9zC6TGt2SWCqc
qB8AoI9CVlPqg7nxRtGLvYvVUtyr5TiF
=ALIH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Feb 2010 07:46:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:35:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.